from datetime import datetime
from pydantic import BaseModel
from hatchet_sdk import Context, EmptyModel

from knoc.hatchet_client import hatchet
from knoc import __version__


class SimpleOutput(BaseModel):
    message: str


@hatchet.task(name="FooTask", version=__version__)
async def foo_task(input: EmptyModel, ctx: Context) -> SimpleOutput:
    return SimpleOutput(message=f"Foo v{__version__} at {datetime.now()}")
